> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employee Event

> POSTs a request upon creation of an employee in the Zeal dashboard.

This endpoint specifies what will be sent to your Create Employee Webhook. Zeal POSTs a request containing an [The Employee Object](/reference/employees/the-employee-object) once the employee has been created in the dashboard. You can update the webhook URL you want Zeal to hit on the 'API' page of the Zeal Dashboard.

***

## Request Body

| attribute                                                       | type    | description                                     |
| --------------------------------------------------------------- | ------- | ----------------------------------------------- |
| test                                                            | boolean | Whether the worker was "onboarded" in Test Mode |
| companyID                                                       | string  | Zeal companyID of Employer                      |
| business\_name                                                  | string  | Business Name of Employer                       |
| [The Employee Object](/reference/employees/the-employee-object) | string  | Other employee object fields                    |

***

## Returns

Doesn't return anything, rather POSTs [The Employee Object](/reference/employees/the-employee-object) & data to the webhook URL

***

## Raw Content Example

```json theme={null}
{
  "type": "create",
  "test": true,
  "companyID": "083472985",
  "employeeID": "1234567890",
  "onboarded": false,
  "employment_status": "live",
  "first_name": "Erlich",
  "middle_initial": "A",
  "last_name": "Bachman",
  "dob": "1990-01-01",
  "start_date": "2023-05-01T20:46:27.961Z",
  "term_date": null,
  "ssn": "123456789",
  "phone_number": "+13456778934",
  "email": "test@demo.com",
  "title": "Manager",
  "workLocationID": "123456789012345",
  "address": "1 Market St.",
  "address_line2": null,
  "city": "San Francisco",
  "state": "CA",
  "zip": "10000",
  "default_pay_schedule": "daily",
  "default_wage": 20,
  "default_ot_wage": 30,
  "default_dt_wage": 40,
  "autopilot": {
    "autopilot_on": false,
    "salary": null,
    "salary_firstDate": null
  },
  "is_943": false,
  "is_scheduleH": false,
  "metadata": {},
  "business_name": "Test Company",
  "timestamp": "2024-01-21T21:29:42Z"
}
```
